Subject: Re: bug#44666: 28.0.50; malloc-info: Emacs became not responsive, using hard disk all time

From: Jean Louis <[email-masked]>
Date: Thu, 19 Nov 2020 09:59:44 +0300

* Eli Zaretskii <[email-masked]> [2020-11-17 10:04]:
> > If there is nothing to be done with this bug, we can close.
> 
> No, closing is premature.  I've merged this bug with 3 other similar
> ones, and we are discussing this issue with glibc malloc experts.

If bug is merged, do I just reply on this email?

My emacs-uptime now is 19 hours, and I can see 4819 MB swapping
according  to symon-mode

I have not get number of buffers, I tried to delete it and there is no
change. User processes are below. I have not finished this session and
so I am prematurely sending the file 
emacs.strace-2020-11-18-14:42:59-Wednesday which may be accessed here
below on the link. I could not copy the file fully through eshell probably
because if I do copy through eshell the strace becomes longer and
longer and copy never finishes. So I have aborted the copy, file may
not be complete. It is also not complete for reason that session is
not finished.

strace is here, 13M download, when unpacked it is more than 1.2 GB.
https://gnu.support/files/tmp/emacs.strace-2020-11-18-14:42:59-Wednesday.lz

When finishing this email swapping reported is 4987 MB and I know by
experience it will come to system being not usable.

              total        used        free      shared  buff/cache   available
Mem:        3844508     3575720      119476       37576      149312       55712
Swap:       8388604     4820656     3567948

$ htop shows

8399 VIRT memory for emacs and	3211M RES memory for emacs

  admin 30586  4.5 88.1 Nov 18 50:52 emacs
  admin 30584  0.9  0.0 Nov 18 10:20 strace -o emacs.strace-2020-11-18-14:42:59-Wednesday emacs
  admin  5542  0.1  0.1 Nov 17 02:13 icewm --notify
  admin 15914  0.0  0.4  07:26 00:02 mutt
  admin  5584  0.0  0.0 Nov 17 00:09 /usr/bin/dbus-daemon --fork --print-pid 5 --print-address 7 --session
  admin 17639  0.0  0.0  09:42 00:00 emacsclient -c /home/data1/protected/tmp/mutt-protected-1001-15914-94772654077392443
  admin  8410  0.0  0.0 Nov 18 00:05 /usr/lib/at-spi2-core/at-spi2-registryd --use-gnome-session
  admin 17023  0.0  0.1  08:35 00:00 /bin/bash --noediting -i
  admin 21322  0.0  0.0 Nov 18 00:00 /usr/bin/festival
  admin 28366  0.0  0.0 Nov 18 00:00 /bin/bash
  admin  8408  0.0  0.0 Nov 18 00:00 /usr/bin/dbus-daemon --config-file=/usr/share/defaults/at-spi2/accessibility.conf --nofork --print-address 3
  admin  5541  0.0  0.0 Nov 17 00:00 icewmbg
  admin 28038  0.0  0.0 Nov 18 00:00 /usr/lib/dconf/dconf-service
  admin  8429  0.0  0.0 Nov 18 00:00 /usr/lib/GConf/gconfd-2
  admin 29399  0.0  0.0  00:18 00:00 /usr/local/bin/psql -U maddox -h localhost -P pager=off rcdbusiness
  admin  5426  0.0  0.0 Nov 17 00:00 -bash
  admin 14932  0.0  0.0 Nov 18 00:00 /usr/bin/aspell -a -m -d en --encoding=utf-8
  admin  8403  0.0  0.0 Nov 18 00:00 /usr/lib/at-spi2-core/at-spi-bus-launcher
  admin  5501  0.0  0.0 Nov 17 00:00 /bin/sh /usr/bin/startx
  admin  5523  0.0  0.0 Nov 17 00:00 xinit /home/data1/protected/.xinitrc -- /etc/X11/xinit/xserverrc :0 vt1 -keeptty -auth /tmp/serverauth.Tvh06SZQdP
  admin  5528  0.0  0.0 Nov 17 00:00 sh /home/data1/protected/.xinitrc
  admin  5540  0.0  0.0 Nov 17 00:00 icewm-session
  admin  5579  0.0  0.0 Nov 17 00:00 dbus-launch --autolaunch=9459754a0df54d1465edf14d5b0bfe99 --binary-syntax --close-stderr
  admin 30582  0.0  0.0 Nov 18 00:00 /bin/bash /home/data1/protected/bin/emacs-debug.sh